%define anolis_release 1
%global pypi_name accelerate
%global pypi_version 0.26.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Accelerate

License:        Apache
URL:            https://github.com/huggingface/accelerate
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(datasets)
BuildRequires:  python3dist(huggingface-hub)
BuildRequires:  python3dist(numpy) >= 1.17
BuildRequires:  python3dist(packaging) >= 20
BuildRequires:  python3dist(psutil)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(rich)
BuildRequires:  python3dist(safetensors) >= 0.3.1
BuildRequires:  python3dist(scikit-learn)
BuildRequires:  python3dist(scipy)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tensorboard)
BuildRequires:  python3dist(timm)
BuildRequires:  python3dist(torch) >= 1.10
BuildRequires:  python3dist(tqdm)
BuildRequires:  python3dist(transformers)

%description
Accelerate is a library that enables the same PyTorch code to be run across any distributed 
configuration by adding just four lines of code! In short, training and inference at scale 
made simple, efficient and adaptable.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:  python3dist(datasets)
Requires:  python3dist(huggingface-hub)
Requires:  python3dist(numpy) >= 1.17
Requires:  python3dist(packaging) >= 20
Requires:  python3dist(psutil)
Requires:  python3dist(pyyaml)
Requires:  python3dist(rich)
Requires:  python3dist(safetensors) >= 0.3.1
Requires:  python3dist(scikit-learn)
Requires:  python3dist(scipy)
Requires:  python3dist(setuptools)
Requires:  python3dist(tensorboard)
Requires:  python3dist(timm)
Requires:  python3dist(torch) >= 1.10
Requires:  python3dist(tqdm)
Requires:  python3dist(transformers)

%description -n python3-%{pypi_name}
Accelerate is a library that enables the same PyTorch code to be run across any distributed 
configuration by adding just four lines of code! In short, training and inference at scale 
made simple, efficient and adaptable.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/accelerate
%{_bindir}/accelerate-config
%{_bindir}/accelerate-estimate-memory
%{_bindir}/accelerate-launch
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Jan 10 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.26.1-1
- Initial package.